org.apache.ignite.internal.sql.command

## Class SqlAnalyzeCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlStatisticsCommands
  - - org.apache.ignite.internal.sql.command.SqlAnalyzeCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlAnalyzeCommand
    extends SqlStatisticsCommands

ANALYZE command to mark object for statistics collection.

### Field Summary

Fields
`protected List<StatisticsObjectConfiguration>` `configs` Targets to analyze.
`static String` `DISTINCT` DISTINCT parameter name.
`static String` `MAX_CHANGED_PARTITION_ROWS_PERCENT` OBSOLESCENCE_MAP_PERCENT parameter name.
`static String` `NULLS` NULLS parameter name.
`static String` `SIZE` SIZE parameter name.
`static String` `TOTAL` TOTAL parameter name.

### Fields inherited from class org.apache.ignite.internal.sql.command.SqlStatisticsCommands

`targets`

### Constructor Summary

Constructors
Constructor and Description
`SqlAnalyzeCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StatisticsObjectConfiguration` `buildConfig(StatisticsTarget target, Map<String,String> params)` Build statistics object configuration from command arguments.
`Collection<StatisticsObjectConfiguration>` `configurations()`
`SqlCommand` `parse(SqlLexer lex)` Parse command.

### Methods inherited from class org.apache.ignite.internal.sql.command.SqlStatisticsCommands

`parseColumnList, schemaName, schemaName, targets, tryEnd`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_CHANGED_PARTITION_ROWS_PERCENT

    public static final String MAX_CHANGED_PARTITION_ROWS_PERCENT

OBSOLESCENCE_MAP_PERCENT parameter name.

See Also:
  Constant Field Values

#### DISTINCT

    public static final String DISTINCT

DISTINCT parameter name.

See Also:
  Constant Field Values

#### TOTAL

    public static final String TOTAL

TOTAL parameter name.

See Also:
  Constant Field Values

#### SIZE

    public static final String SIZE

SIZE parameter name.

See Also:
  Constant Field Values

#### NULLS

    public static final String NULLS

NULLS parameter name.

See Also:
  Constant Field Values

#### configs

    protected List<StatisticsObjectConfiguration> configs

Targets to analyze.

### Constructor Detail

#### SqlAnalyzeCommand

    public SqlAnalyzeCommand()

### Method Detail

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Overrides:
  `parse` in class `SqlStatisticsCommands`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### buildConfig

    public StatisticsObjectConfiguration buildConfig(StatisticsTarget target,
                                                     Map<String,String> params)
                                              throws IgniteSQLException

Build statistics object configuration from command arguments.

Parameters:
  `target` - Statistics target.
  `params` - Map of parameter to value strings.
Returns:
  Statistics object configuration.
Throws:
  `IgniteSQLException` - In case of unexpected parameter.

#### configurations

    public Collection<StatisticsObjectConfiguration> configurations()

Returns:
  Target to params map.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022